/*
* Component Main
* Componente main del sitio web
*/

@import url("https://fonts.googleapis.com/css2?family=Roboto:ital,wght@0,100;0,300;0,400;1,100;1,300;1,400&display=swap");

:root {
    --blue: hsl(204deg 72% 62%);
}

* {
    margin: 0;
    padding: 0;
    outline: 0;
    border: 0;
    box-sizing: border-box;
    font-family: "Roboto", sans-serif;
    font-display: swap;
}

body {
    margin: 0 !important;
    background: #fff;
    font-size: 15px;
    width: 100%;
    display: flex;
    flex-direction: column;
    position: absolute !;
}
/* ******************** SCROLL *********************/
::-webkit-scrollbar {
    width: 18px;
}

::-webkit-scrollbar-track {
    background-color: #fdfdfe;
    width: 20px;
}

::-webkit-scrollbar-thumb {
    width: 20px;
    border-radius: 100px;
    border: 5px solid transparent;
    background-clip: content-box;
    background-color: #dfdfe8;
}

/* ******************** SCROLL *********************/

a {
    color: #ffffff;
    list-style: none;
}

.text-primary {
    color: var(--blue);
}

.text-white {
    color: #ffffff;
}

iframe {
    border-radius: 8px;
}

.title-line {
    width: 120px;
    background: var(--blue);
    height: 3px;
    margin-top: 10px;
}

.uil-square-shape {
    background: var(--blue);
    font-size: 5px;
}

/* ******************* POPOVER ACTIVE SECTION ************/

.popover {
    position: relative;
    width: 300px;
    height: 50px;
    background-color: var(--blue);
    border-radius: 8px;
    display: flex;
    justify-content: center;
    align-items: center;
    color: #fff;
    font-size: 18px;
    z-index: 1;
}

.popover-text {
    position: absolute;
    align-items: center;
    justify-content: center;
    text-align: center;
}

.popover-arrow {
    position: absolute;
    top: 48px;
    transform: rotate(180deg);
    border-left: 20px solid transparent;
    border-right: 20px solid transparent;
    border-bottom: 20px solid var(--blue);
    width: 0;
    height: 0;
    align-items: center;
    justify-content: center;
}

/* ******************** SUBMENU *********************/
.submenu {
    background-color: #0b0e10;
    height: 40px;
    width: 100%;
    display: flex;
    justify-content: flex-end;
}
.submenu_items {
    display: flex;
    list-style: none;
    margin-right: 30px;
    align-items: center;
}

.submenu_items li {
    border-radius: 3px;
    margin: 0 5px;
}
.submenu_items li a {
    padding: 2px 11px;
    text-decoration: none;
    font: arial;
    font-size: 13px;
    display: block;
    text-transform: uppercase;
    color: #fff;
}

/* ******************** ANIMACIONES *********************/
.menu[data-animation="to-left"] a::before {
    transform-origin: right;
}

.menu[data-animation="center"] a::before {
    transform-origin: center;
}

.menu[data-animation="bonus"] a::before {
    transform-origin: right;
}

.menu[data-animation="bonus"] a:hover::before {
    transform-origin: left;
    transform: scaleX(1);
    transition-timing-function: cubic-bezier(0.2, 1, 0.82, 0.94);
}

/* ******************** CONTACTO *********************/
.Contacto {
    width: 100%;
    display: flex;
    flex-direction: column;
    background-color: #dfe6e9;
    padding: 3em 7em;
    margin-top: 0;
}
.formulario {
    width: 70%;
    display: flex;
}
#formLateral {
    width: 100%;
    display: flex;
    flex-direction: column;
}
.formulario-content {
    display: flex;
    flex-direction: row;
    justify-content: space-evenly;
    width: 85%;
    margin: auto;
}
.Titulo {
    display: flex;
    width: 100%;
    flex-direction: column;
    align-items: center;
}
.Titulo h1 {
    margin: auto;
    font-weight: 500;
    color: #333333;
}
.contacto_msj {
    display: flex;
    width: 80%;
    margin: auto;
}
.contacto_msj h2 {
    margin: auto;
    text-align: center;
    color: #333333;
    font-weight: 500;
    font-size: 150%;
}
.form_camp1 {
    display: flex;
    width: 90%;
    justify-content: space-between;
    align-items: center;
}
.dato_nombre {
    width: 100%;
    display: flex;
}
.dato_tel {
    width: 100%;
    display: flex;
}
.dato_email {
    display: flex;
    width: 100%;
}
.dato_emp {
    display: flex;
    width: 100%;
}
.dato_nombre input {
    display: flex;
    width: 90%;
    background-color: #ffffff;
    color: #000;
    border-radius: 5px;
    padding: 12px 15px;
}
.dato_tel input {
    display: flex;
    width: 90%;
    background-color: #ffffff;
    color: #000;
    border-radius: 5px;
    padding: 12px 15px;
}
.dato_email input {
    display: flex;
    width: 90%;
    background-color: #ffffff;
    color: #000;
    border-radius: 5px;
    padding: 12px 15px;
}
.dato_emp input {
    display: flex;
    width: 90%;
    background-color: #ffffff;
    color: #000;
    border-radius: 5px;
    padding: 12px 15px;
}
.dato_coment {
    display: flex;
    width: 100%;
}
.dato_coment textarea {
    resize: none;
    width: 85.5%;
    background-color: #ffffff;
    border-radius: 5px;
    padding: 12px 15px;
}

::-webkit-input-placeholder {
    color: #7f8c8d;
    font-size: 15px;
}

input:focus,
textarea:focus {
    border: 2px solid var(--blue);
}

.input-error {
    border: 2px solid #ee5253 !important;
}

.input-success {
    border: 2px solid #1dd1a1 !important;
}

.enviarForm {
    display: flex;
    width: 100%;
}

.btn_enviar {
    background: var(--blue);
    color: #fff;
    padding: 16px 32px;
    text-align: center;
    text-decoration: none;
    font-size: 16px;
    margin: 4px 2px;
    -webkit-transition-duration: 0.4s;
    transition-duration: 0.4s;
    cursor: pointer;
    border-radius: 5px;
}
.btn_enviar:hover {
    background-color: #fff;
    color: var(--blue);
    border: 1px solid var(--blue);
}
.datos_contacto1 {
    width: 40%;
    display: flex;
    flex-direction: column;
}
.contenido_datos {
    width: 100%;
    display: flex;
    flex-direction: column;
    color: #666666;
}
.contenido_datos a {
    color: #666666;
    cursor: pointer;
}
.contDat_contacto {
    width: 100%;
    display: flex;
}
.cont_cont {
    width: 100%;
    display: flex;
    flex-direction: column;
}
.contDat_correo {
    width: 100%;
    display: flex;
    flex-direction: column;
    line-height: 30px;
}

/* ******************** CARRUSEL *********************/

.splide__slide img {
    /*   border: 1.8px solid #ecf0f3 !important; */
    /*   box-shadow: 0 2px 5px 0 rgb(0 0 0 / 3%) !important; */
    border-radius: 5px;
    object-fit: scale-down;
}

.splide__arrow {
    height: 2.5rem !important;
    width: 2.5rem !important;
}

.splide__arrow--prev {
    left: 40px !important;
}

.splide__arrow--next {
    right: 40px !important;
}

.main-splide {
    width: 100%;
}

.splide .main-splide {
    position: unset !important;
}

.main-splide .splide__arrow--prev {
    left: 40px !important;
}

.main-splide .splide__arrow--next {
    right: 40px !important;
}

.carrusel {
    position: relative;
    margin: auto;
    padding: 0 30px;
    z-index: 1;
    width: 90%;
    margin-bottom: 50px;
}

.tile {
    position: relative;
    padding: 0;
    border: 0;
    background: none;
    cursor: pointer;
}

.tile .product-image {
    width: 70%;
    height: 180px !important;
}

.related-card_titulo {
    height: 30px;
    margin-top: 15px;
}

.related-card_titulo h2 {
    display: inline-block;
    border-bottom: 3px solid #74b9ff;
    color: #000000;
}

.related-card_texto {
    height: 90px;
    margin-top: 10px;
}

/*---------------------------------------- Splide Js ------------------------------------------------*/

.custom-card-carrusel-splide {
    box-shadow: 1px 1px 1px rgba(0, 0, 0, 0.2);
    border: 1px solid #ccc;
    border-radius: 5px;
    padding: 10px;
    margin: 10px;
    width: auto;
    height: 335px;
}

.custom-card-carrusel-splide:hover {
    box-shadow: 0 0 15px rgba(0, 0, 0, 0.329);
}

.custom-card-carrusel-splide img {
    max-width: 100%;
    height: auto;
}

.splide__list {
    display: flex;
    list-style-type: none;
    padding: 0;
    margin: 0;
}

.splide__arrow {
    font-size: auto;
    color: black;
}

.splide__arrow--prev {
    left: -20px !important;
}

.splide__arrow--next {
    right: -20px !important;
}

.title-card {
    font-size: 20px;
    color: black;
    margin-top: 15px;
}

.custom-card-carrusel-splide .title-card:hover {
    color: #0069b2;
}

.subtitle-card {
    font-size: 16px;
    color: #666;
    margin-top: 15px;
}

.custom-card-carrusel-splide {
    display: flex; /* Establece el contenedor como flexbox */
    flex-direction: column; /* Apila los elementos verticalmente */
}

.custom-card-carrusel-splide .link-card {
    color: #0069b2;
    align-self: flex-end;
    font-size: 17px;
    margin-top: 10px;
    position: absolute;
    bottom: 30px;
}

.custom-card-carrusel-splide .link-card:hover {
    color: #505253;
}

/*.custom-card-carrusel-splide .rounded-pill {
  align-self: flex-end; 
  margin-top: 10px;
  border-radius: 50px; 
  padding: 5px 15px; 
  background-color: #0069b2; 
  font-size: 16px;
  color: #ffffff; 
  display: inline-block; 
}*/

/*.custom-card-carrusel-splide .rounded-pill:hover {
  background-color: #ffffff; 
  border: 2px solid #000000;
}

.custom-card-carrusel-splide .rounded-pill:hover a{
  color: #000000;
}*/

/*---------------------------------------- Splide Js ------------------------------------------------*/

/*------------------------------------- RERPRESENTACIONES ------------------------------------------------*/

.custom-card-representa {
    box-shadow: 1px 1px 1px rgba(0, 0, 0, 0.2);
    border: 1px solid #ccc;
    border-radius: 5px;
    padding: 10px;
    margin: 10px;
    width: auto;
    height: 275px;
    display: flex;
    flex-direction: column;
}

.custom-card-representa:hover {
    box-shadow: 0px 0px 5px rgba(0, 0, 0, 0.2);
}

.custom-card-representa img {
    height: 100px;
    width: auto;
    align-self: center;
    padding: 10px;
}

.custom-card-representa .subtitle-card {
    color: black;
    align-self: center;
    padding: 10px;
}

/*------------------------------------- RERPRESENTACIONES ------------------------------------------------*/

/*---------------------------------------- Cards que rotan 180° -------------------------------------*/

/* .custom-card-colums {
  display: flex;
  list-style-type: none;
  padding: 0;
  margin: 0;
} */

.card {
    height: 350px;
    width: auto;
    position: relative;
    perspective: 1000px;
}

.card-inner-spin {
    position: absolute;
    width: 100%;
    height: 100%;
    text-align: center;
    transition: transform 0.8s;
    transform-style: preserve-3d;
}

.card:hover .card-inner-spin {
    transform: rotateY(180deg);
}

.card-front,
.card-back {
    position: absolute;
    width: 100%;
    height: 100%;
    backface-visibility: hidden;
}

.card-front {
    border-radius: 10px;
    border: 1px solid #ccc;
    box-shadow: 0px 0px 2px rgba(0, 0, 0, 0.2);
    padding: 10px;
    display: flex;
    flex-direction: column;
    background-color: #ffffff;
    color: black;
}

.card-front img {
    max-width: 100%;
    height: auto;
}

.card-front .img-card {
    height: 110px;
    width: auto;
    align-self: center;
    margin-top: 10px;
    margin-bottom: 20px;
}

.card-front h3 {
    font-size: 25px;
    align-self: center;
    margin-bottom: 20px;
}

.card-front p {
    font-size: 20px;
    padding-left: 20px;
    padding-right: 20px;
}

.card-back {
    border-radius: 10px;
    border: 1px solid #ccc;
    box-shadow: 0px 0px 2px rgba(0, 0, 0, 0.2);
    padding: 10px;
    display: flex;
    flex-direction: column;
    background-color: rgb(255, 255, 255);
    color: rgb(0, 0, 0);
    transform: rotateY(180deg);
}

.card-back img {
    width: 20%;
}

.card-back .img-card {
    align-self: center;
    margin-top: 10px;
    margin-bottom: 20px;
}

.card-back a {
    color: #0069b2;
    font-size: 15px;
    margin-bottom: 20px;
}

.card-back a:hover {
    color: #4a4c4d;
}

.card-back-columns {
    column-count: 2;
    column-gap: 20px;
}

.card-back-columns a {
    display: block;
    margin-bottom: 10px;
}

.linea-horizontal {
    border-top: 1px solid #ccc;
    margin-bottom: 15px;
}

/*---------------------------------------- Cards que rotan 180° -------------------------------------*/

/* ******************** FOOTER *********************/
footer {
    background-color: #0b0e10;
    width: 100%;
    display: flex;
    flex-direction: column;
}
.barraInferior {
    color: #fff;
    padding: 2em 0 1em 0;
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    justify-content: space-between;
    background-color: #0b0e10;
}
.elemFooter_razon {
    display: flex;
    width: 70%;
    text-align: center;
}
.elementosFooter {
    display: flex;
    width: 30%;
    flex-direction: column;
    align-items: center;
}
.elementosFooter2 {
    display: flex;
    width: 30%;
}
.elementosFooter3 {
    display: flex;
    width: 30%;
    flex-direction: column;
}
.enlaces {
    display: flex;
    width: 100%;
    flex-direction: row;
    justify-content: space-between;
}
.cont_enlaces {
    display: flex;
    width: 45%;
    flex-direction: column;
    line-height: 35px;
}
.cont_enlaces li {
    list-style: none;
    font-size: 13px;
}
.cont_enlaces a:hover {
    border-bottom: #0069b2;
}
.titulo_enlaces {
    display: flex;
    width: 90%;
}
.titulo_enlaces h2 {
    margin: auto;
    font-size: 20px;
}
.datosFooter {
    display: flex;
    width: 100%;
    flex-direction: column;
    align-items: flex-start;
}
.datosFooter h2 {
    font-size: 20px;
}
#tel_footer {
    display: none;
}
.redes_sociales {
    display: flex;
    width: 40%;
}
.politica_Priv {
    display: flex;
    width: 100%;
    color: #38343c;
    justify-content: space-evenly;
}
.politica_Priv h3 {
    font-weight: normal;
}
.redes_sociales a {
    text-decoration: none;
    color: #fff;
    background-color: #262626;
    list-style: none;
    font-size: 24px;
    line-height: 40px;
    width: 40px;
    height: 40px;
    border-radius: 50%;
    text-align: center;
    text-decoration: none;
    margin: auto;
    transition: all 500ms ease;
}

.redes_sociales,
.lk {
    text-align: center;
    align-items: center;
    margin: auto;
    top: 0px;
}
.redes_sociales .lk:hover {
    color: #0069b2;
    background: #fff;
    margin: auto;
    text-align: center;
    align-items: center;
}
.redes_sociales .fb:hover {
    color: #fff;
    background: #3968aa;
    margin: auto;
    text-align: center;
    align-items: center;
}
.redes_sociales .yt:hover {
    color: #ff0000;
    background: #fff;
    margin: auto;
    text-align: center;
    align-items: center;
}
.uil-facebook-f {
    font-size: 25px;
}
.uil-youtube {
    font-size: 25px;
}
.uil-angle-left-b {
    font-size: 40px;
    color: var(--blue);
}
.uil-angle-right-b {
    font-size: 40px;
    color: var(--blue);
}
.uil-youtube {
    font-size: 25px;
}

/* ******************** MEDIA QUERIES *********************/

@media screen and (max-width: 900px) {
    .productosRel {
        margin-bottom: 0px !important;
    }
    .Contacto {
        padding: 2em 0;
    }
    .contacto_msj {
        text-align: center;
    }
    .formulario-content {
        flex-direction: column;
    }
    .formulario {
        width: 100%;
    }
    #formLateral {
        align-items: center;
    }
    .dato_tel input {
        width: 100%;
    }
    .dato_emp input {
        width: 100%;
    }
    .dato_coment textarea {
        margin: auto;
        width: 90%;
    }
    .enviarForm {
        justify-content: flex-end;
    }
    .datos_contacto1 {
        flex-direction: row;
        width: 100%;
    }
    .cont_cont {
        align-items: center;
    }
    .contDat_correo {
        align-items: center;
    }
    .titulo_banner h3 {
        width: 98%;
        margin-bottom: 10px !important;
    }

    #home_video {
        display: none;
    }
    #home_video2 {
        display: flex;
    }
}
@media screen and (max-width: 800px) {
    .barraInferior {
        flex-direction: column;
    }
    .elementosFooter {
        flex-direction: row;
        width: 90%;
    }
    .elemFooter_razon {
        width: 100%;
        justify-content: center;
    }
    .elementosFooter2 {
        flex-direction: column;
        width: 80%;
    }
    .datosFooter {
        align-items: center;
        text-align: center;
    }
    .elementosFooter3 {
        flex-direction: column;
        width: 90%;
        align-items: center;
    }
    .enlaces {
        justify-content: flex-end;
    }
    .cont_enlaces {
        width: 40%;
    }
    .banner {
        margin-top: 70px;
    }
}

@media screen and (max-width: 700px) {
    .vent_video {
        width: 90%;
        display: flex;
        margin: auto;
    }
    .elementosFooter {
        flex-direction: column;
    }
    .enlaces {
        flex-direction: column;
        align-items: center;
    }
    .cont_enlaces {
        width: 70%;
    }
}
@media screen and (max-width: 600px) {
    .barraInferior {
        flex-direction: column;
    }
    .elementosFooter {
        width: 100%;
    }
    .ac_botones {
        width: 100%;
    }
}

@media screen and (max-width: 555px) {
    .ac_prod_img img {
        object-fit: cover !important;
        border-radius: 10px !important;
    }

    .datos_contacto1 {
        flex-direction: column;
    }
    .form_camp1 {
        flex-direction: column;
    }
    .dato_nombre input {
        width: 100%;
        font-size: 20px;
    }
    .dato_email input {
        width: 100%;
        font-size: 20px;
    }
    .dato_tel input {
        font-size: 20px;
    }
    .dato_emp input {
        font-size: 20px;
    }
    .dato_coment textarea {
        font-size: 20px;
    }
    .enviarForm {
        justify-content: center;
    }
    .contenido_datos {
        align-items: center;
        text-align: center;
    }
    .titulo_banner h3 {
        width: 95%;
        font-size: 100%;
        margin-bottom: 10px !important;
    }
    .contacto_msj h2 {
        width: 100%;
        font-size: 100%;
    }

    .formulario-content {
        width: 100%;
        font-size: 20px;
    }
}
@media screen and (max-width: 500px) {
    .ac_botones {
        width: 100%;
    }
}

.p-3 {
    padding: 2rem;
}

/* 
  Un css que me da una pereza revisar confio 
  confio en que este lo mejor posible
*/

.body-grid {
    display: grid;
    grid-template-columns: 350px 1fr;
    padding-bottom: 2rem;
}

aside {
    width: 100%;
    height: 100%;
    padding-top: 2rem;
    padding-inline: 1.2rem;
}

.aside-container {
    display: flex;
    flex-direction: column;
    background: linear-gradient(to bottom, #141249 60%, white 50%);
    border-radius: 1.5rem;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
    padding: 1rem;
    align-items: center;
    justify-content: center;
}

.aside-container img {
    width: 250px;
    height: auto;
    object-fit: contain;
}

.aside-container p {
    color: #e0e0e0;
    font-size: 0.9rem;
    text-align: center;
}

#triplequad {
    width: 300px;
    height: auto;
    object-fit: contain;
}

.bento-container {
    padding-top: 2rem;
    padding-inline: 1rem;
}

.separator {
    width: 100%;
    height: 250px;
    position: relative;
}

.separator img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.separator-overlay {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    pointer-events: none;
    background: linear-gradient(rgba(0, 0, 0, 0.3), rgba(0, 0, 0, 0.8));
}

.separator-overlay p {
    color: whitesmoke;
    width: 90%;
    margin-inline: auto;
    position: absolute;
    top: 50%;
    left: 50px;
    font-size: 1.5rem;
    font-weight: bold;
}

main p {
    margin-block: 0.7rem;
}

#equipment-section p {
    margin-block: 0.4rem;
}

/* Bento Layout */
.bento-row {
    display: -webkit-flex;
    -webkit-justify-content: space-between;
    justify-content: space-between;
    -webkit-flex: none;
    flex: none;
    -webkit-align-items: center;
    align-items: center;
    margin-bottom: 15px;
}

.bento-box {
    background: #aaa;
    height: 100px;
    margin: auto 10px;
    -webkit-transition: -webkit-flex ease-out 0.3s;
    transition: flex ease-out 0.3s;
}

.box-1 {
    display: -webkit-flex;
    -webkit-flex: 1;
    flex: 1;
}

.box-2 {
    display: -webkit-flex;
    -webkit-flex: 2;
    flex: 2;
}

.bento-card {
    border-radius: 1.5rem;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
    width: 100%;
    height: 300px;
    overflow: hidden;
    position: relative;
    color: #dfe6e9;
    /* transition: transform 0.3s ease, grid-column 0.3s ease; */
}

.bento-card > img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.fs-6 {
    font-size: 1.1rem;
}

.card-detail {
    box-sizing: border-box;
    position: absolute;
    width: 100%;
    bottom: 0;
    background: rgba(22, 22, 22, 0.563);
    background: linear-gradient(
        0deg,
        rgba(0, 0, 0, 0.604) 35%,
        rgba(124, 124, 124, 0.15) 100%
    );
    -webkit-backdrop-filter: blur(10px);
    backdrop-filter: blur(10px);
    padding: 1rem;
}

.card-description {
    display: none;
}

.card-description ul {
    padding-left: 1rem;
}

.detail-container {
    display: grid;
    grid-template-columns: 600px 1fr;
    gap: 1rem;
    padding-inline: 2rem;
    padding-top: 2rem;
    color: rgb(221, 221, 221);
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
}

.detail-element {
    grid-column: span 1;
    padding: 1.4rem;
    border-radius: 1rem;
    flex-direction: column;
    gap: 1.2rem;
}

.detail-element div {
    padding: 1 rem;
}

.detail-element video {
    width: 100%;
    height: auto;
    object-fit: contain;
    border-radius: 1.5rem;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
}

.detail-card {
    display: flex;
    flex-direction: column;
    justify-content: center;
    gap: 1rem;
}

.detail-card h3 {
    font-size: 1.8rem;
    font-weight: bolder;
    margin-top: 1rem;
}

.detail-card p {
    font-size: 1.2rem;
}
/* END: Product Detail */

#equipment-section {
    position: relative;
    padding-bottom: 2rem;
}

#equipment-section img {
    backdrop-filter: blur(10px);
    -webkit-backdrop-filter: blur(10px);
    position: absolute;
    width: 100%;
    height: 100%;
    object-fit: cover;
    z-index: -1;
    filter: brightness(0.3);
}

.attention-message {
    color: whitesmoke;
    backdrop-filter: blur(10px);
    -webkit-backdrop-filter: blur(10px);
    padding: 2rem;
    margin: 2rem;
    border-radius: 1.4rem;
    padding-inline: 3rem;
    font-size: 1.2rem;
    font-weight: bold;
    background: rgba(202, 16, 16, 0.4);
}

/* table styles */
table {
    width: 100%;
    border-collapse: collapse;
    margin-bottom: 1rem;
}

th {
    background-color: #f2f2f2;
    color: #333;
}

td,
th {
    padding: 0.5rem;
    border: 1px solid #ccc;
    font-size: small;
}

.ms-1 {
    margin-left: 0.6rem;
}

.ms-4 {
    margin-left: 3rem;
}

.wpx-15 {
    width: 15px;
}

.list-unstyled {
    list-style: none;
}

.d-flex {
    display: flex;
}

.flex-column {
    flex-direction: column;
}

.gap-2 {
    gap: 0.5rem;
}

.gap-3 {
    gap: 0.7rem;
}

.justify-content-center {
    justify-content: center;
}

.align-items-center {
    align-items: center;
}

/* Media query for mobile devices */
@media screen and (max-width: 950px) {
    .body-grid {
        display: flex;
        flex-direction: column-reverse;
    }

    .bento-container {
        display: none;
    }

    .bento-card {
        pointer-events: none;
        border-radius: 1.5rem;
        box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
        width: 330px;
        height: 450px;
        overflow: hidden;
        position: relative;
        color: #dfe6e9;
    }

    .splide__slide:hover .card-description {
        display: block;
    }

    .detail-container {
        display: flex;
        flex-direction: column;
        gap: 1rem;
        padding-inline: 2rem;
        padding-top: 2rem;
        color: rgb(221, 221, 221);
        box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
        overflow: hidden;
    }

    .detail-element {
        grid-column: span 1;
        padding: 0.1rem;
        border-radius: 1rem;
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: start;
        gap: 1.2rem;
    }

    .detail-card {
        padding-inline: 0.5rem;
    }

    .pl-1 {
        padding-left: 1rem;
    }

    .fs-6 {
        font-size: 1rem;
    }

    .ms-4 {
        margin-left: 2rem;
    }

    .attention-message {
        text-align: center;
        padding-inline: 1rem;
    }

    td strong {
        font-size: 7pt;
    }

    td em {
        font-size: 6pt;
    }
}

/*  */
@media screen and (min-width: 951px) {
    .slide-container {
        display: none;
    }
    .box-1:hover {
        -webkit-flex: 4;
        flex: 4;
        cursor: pointer;
    }

    .box-2:hover {
        -webkit-flex: 2;
        flex: 2;
        cursor: pointer;
    }

    .bento-card:hover .card-description {
        display: block;
    }
}
